%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/subosito/gotenv
Version:                1.6.0

%gometa

%global common_description %{expand:
Load environment variables from `.env` or `io.Reader` in Go.}

%global golicenses      LICENSE
%global godocs          README.md CHANGELOG.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Load environment variables from `.env` or `io.Reader` in Go

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-1
- initial build
